### Method

# Gimp Image set_component_visible

#### Declaration [src]

    gboolean
    gimp_image_set_component_visible (
      GimpImage* image,
      GimpChannelType component,
      gboolean visible
    )

#### Description [src]

Sets if the specified image’s image component is visible.

This procedure sets if the specified image’s image component (i.e. Red, Green, Blue intensity channels in an RGB image) is visible or invisible — whether or not it can be seen. If the specified component is not valid for the image type, an error is returned.

#### Parameters

`component` | `GimpChannelType`
| The image component.
`visible` | `gboolean`
| Component is visible.

#### Return value

Returns: | `gboolean`
| TRUE on success.